Package twisted :: Package python :: Module delay :: Class IDelayed

[show private | hide private]
[frames | no frames]

## Class IDelayed

Interface implemented by Delayed objects - delayed event queues.

Method Summary
| ``runUntilCurrent`(self)` This will be called on every iteration of the event loop.
| ``timeout`(self)` Return maximum number of seconds between calls of runUntilCurrent.

Method Details

### runUntilCurrent(self)

This will be called on every iteration of the event loop.

This is where the delayed work should be done.

### timeout(self)

Return maximum number of seconds between calls of runUntilCurrent.

The returned value should either be a float, or None if we don't want to affect the event loop.

Generated by Epydoc 1.1 on Sat Feb 15 21:19:16 2003 | http://epydoc.sf.net